import React from 'react';
import { ViewStyle, StyleProp } from 'react-native';
import Animated from 'react-native-reanimated';
import { State as GestureState } from 'react-native-gesture-handler';
import { HSV } from './HueSaturationWheel';
declare type Props = {
    readonly wheelStyle: StyleProp<ViewStyle>;
    readonly sliderStyle: StyleProp<ViewStyle>;
    readonly snapToCenter?: number;
    readonly onColorChangeComplete?: (color: HSV) => void;
    readonly onColorChange?: (color: HSV) => void;
    readonly thumbSize?: number;
    readonly initialHue?: number;
    readonly initialSaturation?: number;
    readonly initialValue?: number;
};
declare type State = {
    readonly value: Animated.Node<number>;
    readonly valueGestureState: Animated.Node<GestureState>;
};
export declare class HueSaturationValuePicker extends React.PureComponent<Props, State> {
    state: State;
    render(): JSX.Element;
    private valueInit;
}
export {};
