import React from 'react';
import Animated from 'react-native-reanimated';
import { State as GestureState } from 'react-native-gesture-handler';
import { HueSaturationWheel } from './HueSaturationWheel';
import { ValueSlider } from './ValueSlider';
export class HueSaturationValuePicker extends React.PureComponent {
    constructor() {
        super(...arguments);
        this.state = {
            value: new Animated.Value(1),
            valueGestureState: new Animated.Value(GestureState.UNDETERMINED)
        };
        this.valueInit = (value, valueGestureState) => {
            this.setState({ value, valueGestureState });
        };
    }
    render() {
        const { wheelStyle, sliderStyle, thumbSize, snapToCenter, initialHue, initialValue, initialSaturation, onColorChange, onColorChangeComplete } = this.props;
        const { value, valueGestureState } = this.state;
        return (<>
        <HueSaturationWheel style={wheelStyle} initialHue={initialHue} initialSaturation={initialSaturation} snapToCenter={snapToCenter} onColorChangeComplete={onColorChangeComplete} onColorChange={onColorChange} value={value} valueGestureState={valueGestureState} thumbRadius={thumbSize}/>
        <ValueSlider initialValue={initialValue} style={sliderStyle} onValueInit={this.valueInit} thumbWidth={thumbSize}/>
      </>);
    }
}
//# sourceMappingURL=HueSaturationValuePicker.js.map