import React from 'react';
import Animated from 'react-native-reanimated';
import { ViewStyle, StyleProp } from 'react-native';
import { PanGestureHandlerGestureEvent, TapGestureHandlerGestureEvent, State as GestureState } from 'react-native-gesture-handler';
declare type Props = {
    readonly style: StyleProp<ViewStyle>;
    readonly initialValue?: number;
    readonly onValueInit: (value: Animated.Node<number>, gestureState: Animated.Node<GestureState>) => void;
    readonly thumbWidth?: number;
};
declare type State = {
    readonly width?: number;
    readonly height?: number;
    readonly pos?: Animated.Node<number>;
    readonly translate?: Animated.Node<number>;
    readonly value?: Animated.Node<number>;
    readonly thumbColor?: Animated.Node<string>;
    readonly panGestureEvent?: (event: PanGestureHandlerGestureEvent | TapGestureHandlerGestureEvent) => void;
    readonly gestureState?: Animated.Node<GestureState>;
    readonly codeKey?: number;
};
export declare class ValueSlider extends React.PureComponent<Props, State> {
    static defaultProps: Partial<Props>;
    constructor(props: Props);
    private static state;
    private static size;
    componentDidMount(): void;
    componentDidUpdate(prevProps: Props, prevState: State): void;
    render(): JSX.Element;
    private layout;
}
export {};
